Loading...
Searching...
No Matches
types.h File Reference

SpecGlobTool types definition. More...

Go to the source code of this file.

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge
namespace | pappso::specglob

## Enumerations

enum class | pappso::specglob::SpectralAlignmentType : std::uint8_t { pappso::specglob::nonAlign , pappso::specglob::reAlign = 1 , pappso::specglob::align = 2 }

enum class

pappso::specglob::ScoreValueType : std::uint8_t {
pappso::specglob::scoreNonAlign = 0 , pappso::specglob::scoreReAlignNative = 1 , pappso::specglob::scoreReAlignSym = 2 , pappso::specglob::scoreReAlignBoth = 3 ,
pappso::specglob::scoreAlignNative = 4 , pappso::specglob::scoreAlignSym = 5 , pappso::specglob::scoreAlignBoth = 6 , pappso::specglob::scoreReAlignNativeNO ,
pappso::specglob::scoreReAlignSymNO , pappso::specglob::scoreReAlignBothNO = 9
}

enum class | pappso::specglob::ExperimentalSpectrumDataPointType : std::uint8_t { pappso::specglob::native = 0 , pappso::specglob::symmetric , pappso::specglob::both , pappso::specglob::synthetic }

## Detailed Description

SpecGlobTool types definition.

Date
  14/11/2023

Author
  Olivier Langella

C++ implementation of the SpecGlob algorithm described in :

1. Prunier, G. et al. Fast alignment of mass spectra in large proteomics datasets, capturing dissimilarities arising from multiple complex modifications of peptides. BMC Bioinformatics 24, 421 (2023).

   HAL Id : hal-04296170 , version 1 Mot de passe : hxo20cl DOI : 10.1186/s12859-023-05555-y

ANR founded project : https://anr.fr/Project-ANR-18-CE45-0004

Definition in file types.h.